> ## Documentation Index
> Fetch the complete documentation index at: https://docs.katilyst.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an available action



## OpenAPI

````yaml openapi.json GET /v1/available-actions/{availableActionId}
openapi: 3.0.0
info:
  title: Katilyst Public API
  description: >-
    <h4>API Key</h4><p>To use the Katilyst Public API, you need an API Key. API
    Keys are issued on a per-account basis and have access to all information
    and operations within an account that are available through the Katilyst
    Public API. <p>They should be handled with care and treated as you would a
    password to a powerful account.</p></p>

    <p>To use your API Key, simply include it in the Authorization header of all
    requests to the Katilyst Public API, prefixed with the string “API-Key” like
    so:</p><code>Authorization: API-Key katilsyt_oMeofDAJ_thisisanexamplekey
    </code><h4>Paging</h4><p>For GET endpoints that return arrays of objects,
    the API will automatically page results for you. If you wish to control the
    page size or number yourself, you can provide the query parameters
    <code>limit</code> and <code>start</code>. Limit will control the maximum
    number of results returned per page. Start will determine which page to
    return, with 0 being the first page.</p><h4>Timestamps</h4><p>For POST and
    PUT inputs that take timestamps, the timestamp must be provided as a string
    in ISO 8601 format and requires that include a “z” to designate UTC or a
    timezone offset.</p>
  version: V1.0
  contact: {}
servers:
  - url: https://api.katilyst.com
security: []
tags: []
paths:
  /v1/available-actions/{availableActionId}:
    get:
      tags:
        - V1
      summary: Get an available action
      operationId: AvailableActionController_getAvailableAction
      parameters:
        - name: availableActionId
          required: true
          in: path
          schema:
            type: string
        - name: maxActionDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
        - name: minActionDate
          required: false
          in: query
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAvailableActionResponse'
        '401':
          description: Missing or invalid API Key
      security:
        - API-Key: []
components:
  schemas:
    GetAvailableActionResponse:
      type: object
      properties:
        id:
          type: string
          example: 1111-111-11111-example
        projectId:
          type: string
          example: 1111-111-11111-example
        name:
          type: string
          example: Take Security Awareness Course
        description:
          type: string
          example: Awarded for for completing a security awareness course.
        attribute:
          type: string
          example: Points
        operator:
          type: string
          example: +
        result:
          type: string
          example: 50 | Green Belt
        conditions:
          type: string
          example: When (Points > 50) AND (Belt Level = Green Belt) Stars + 50
        stateful:
          type: boolean
          example: true
        frequencyLimit:
          type: string
          example: Once per month
        type:
          type: string
          example: PARTICIPANT
        expirationPeriod:
          type: string
          example: 6 weeks
        approvalRequired:
          type: boolean
          example: false
        autoAddUsers:
          type: boolean
          example: true
        autoAddUsersRole:
          type: string
          example: ADMIN
        timesLogged:
          type: number
          example: 12
      required:
        - id
        - projectId
        - name
        - description
        - attribute
        - operator
        - result
        - conditions
        - stateful
        - frequencyLimit
        - type
        - expirationPeriod
        - approvalRequired
        - autoAddUsers
        - autoAddUsersRole
        - timesLogged
  securitySchemes:
    API-Key:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your full Authorization header value, including the prefix: `API-Key
        katilyst_xxxx_yourkey`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.